org.apache.hc.client5.http.classic

## Class ExecChain.Scope

- java.lang.Object
- - org.apache.hc.client5.http.classic.ExecChain.Scope

Enclosing interface:
  ExecChain

    public static final class ExecChain.Scope
    extends Object

### Field Summary

Fields
`HttpClientContext` `clientContext`
`String` `exchangeId`
`ExecRuntime` `execRuntime`
`org.apache.hc.core5.http.ClassicHttpRequest` `originalRequest`
`HttpRoute` `route`

### Constructor Summary

Constructors
Constructor and Description
`ExecChain.Scope(String exchangeId, HttpRoute route, org.apache.hc.core5.http.ClassicHttpRequest originalRequest, ExecRuntime execRuntime, HttpClientContext clientContext)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### exchangeId

    public final String exchangeId

#### route

    public final HttpRoute route

#### originalRequest

    public final org.apache.hc.core5.http.ClassicHttpRequest originalRequest

#### execRuntime

    public final ExecRuntime execRuntime

#### clientContext

    public final HttpClientContext clientContext

### Constructor Detail

#### ExecChain.Scope

    public ExecChain.Scope(String exchangeId,
                   HttpRoute route,
                   org.apache.hc.core5.http.ClassicHttpRequest originalRequest,
                   ExecRuntime execRuntime,
                   HttpClientContext clientContext)